# Class UiAdapterFactory

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
org.eclipse.e4.ui.model.application.ui.util.UiAdapterFactory

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.AdapterFactory`

public class UiAdapterFactory extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  - `UiPackageImpl`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static UiPackageImpl`
`modelPackage`
The cached model package.
`protected UiSwitch<org.eclipse.emf.common.notify.Adapter>`
`modelSwitch`
The switch that delegates to the `createXXX` methods.

## Constructor Summary

Constructors
Constructor
Description
`UiAdapterFactory()`
Creates an instance of the adapter factory.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.Adapter`
`createAdapter(org.eclipse.emf.common.notify.Notifier target)`
Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter`
`createApplicationElementAdapter()`
Creates a new adapter for an object of class '`Element`'.
`org.eclipse.emf.common.notify.Adapter`
`createContextAdapter()`
Creates a new adapter for an object of class '`Context`'.
`org.eclipse.emf.common.notify.Adapter`
`createContributionAdapter()`
Creates a new adapter for an object of class '`Contribution`'.
`org.eclipse.emf.common.notify.Adapter`
`createCoreExpressionAdapter()`
Creates a new adapter for an object of class '`Core Expression`'.
`org.eclipse.emf.common.notify.Adapter`
`createDirtyableAdapter()`
Creates a new adapter for an object of class '`Dirtyable`'.
`org.eclipse.emf.common.notify.Adapter`
`createElementContainerAdapter()`
Creates a new adapter for an object of class '`Element Container`'.
`org.eclipse.emf.common.notify.Adapter`
`createEObjectAdapter()`
Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter`
`createExpressionAdapter()`
Creates a new adapter for an object of class '`Expression`'.
`org.eclipse.emf.common.notify.Adapter`
`createGenericStackAdapter()`
Creates a new adapter for an object of class '`Generic Stack`'.
`org.eclipse.emf.common.notify.Adapter`
`createGenericTileAdapter()`
Creates a new adapter for an object of class '`Generic Tile`'.
`org.eclipse.emf.common.notify.Adapter`
`createGenericTrimContainerAdapter()`
Creates a new adapter for an object of class '`Generic Trim Container`'.
`org.eclipse.emf.common.notify.Adapter`
`createImperativeExpressionAdapter()`
Creates a new adapter for an object of class '`Imperative Expression`'.
`org.eclipse.emf.common.notify.Adapter`
`createLocalizableAdapter()`
Creates a new adapter for an object of class '`Localizable`'.
`org.eclipse.emf.common.notify.Adapter`
`createSnippetContainerAdapter()`
Creates a new adapter for an object of class '`Snippet Container`'.
`org.eclipse.emf.common.notify.Adapter`
`createUIElementAdapter()`
Creates a new adapter for an object of class '`UI Element`'.
`org.eclipse.emf.common.notify.Adapter`
`createUILabelAdapter()`
Creates a new adapter for an object of class '`UI Label`'.
`boolean`
`isFactoryForType(Object object)`
Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelPackage

protected static UiPackageImpl modelPackage
The cached model package.

### modelSwitch

protected UiSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch
The switch that delegates to the `createXXX` methods.

## Constructor Details

### UiAdapterFactory

public UiAdapterFactory()
Creates an instance of the adapter factory.

## Method Details

### isFactoryForType

public boolean isFactoryForType(Object object)
Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.

### createAdapter

public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)
Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.

### createContextAdapter

public org.eclipse.emf.common.notify.Adapter createContextAdapter()
Creates a new adapter for an object of class '`Context`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MContext`

### createDirtyableAdapter

public org.eclipse.emf.common.notify.Adapter createDirtyableAdapter()
Creates a new adapter for an object of class '`Dirtyable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MDirtyable`

### createUIElementAdapter

public org.eclipse.emf.common.notify.Adapter createUIElementAdapter()
Creates a new adapter for an object of class '`UI Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MUIElement`

### createElementContainerAdapter

public org.eclipse.emf.common.notify.Adapter createElementContainerAdapter()
Creates a new adapter for an object of class '`Element Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MElementContainer`

### createUILabelAdapter

public org.eclipse.emf.common.notify.Adapter createUILabelAdapter()
Creates a new adapter for an object of class '`UI Label`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MUILabel`

### createGenericStackAdapter

public org.eclipse.emf.common.notify.Adapter createGenericStackAdapter()
Creates a new adapter for an object of class '`Generic Stack`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MGenericStack`

### createGenericTileAdapter

public org.eclipse.emf.common.notify.Adapter createGenericTileAdapter()
Creates a new adapter for an object of class '`Generic Tile`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MGenericTile`

### createGenericTrimContainerAdapter

public org.eclipse.emf.common.notify.Adapter createGenericTrimContainerAdapter()
Creates a new adapter for an object of class '`Generic Trim Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MGenericTrimContainer`

### createExpressionAdapter

public org.eclipse.emf.common.notify.Adapter createExpressionAdapter()
Creates a new adapter for an object of class '`Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MExpression`

### createCoreExpressionAdapter

public org.eclipse.emf.common.notify.Adapter createCoreExpressionAdapter()
Creates a new adapter for an object of class '`Core Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MCoreExpression`

### createImperativeExpressionAdapter

public org.eclipse.emf.common.notify.Adapter createImperativeExpressionAdapter()
Creates a new adapter for an object of class '`Imperative Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `MImperativeExpression`

### createSnippetContainerAdapter

public org.eclipse.emf.common.notify.Adapter createSnippetContainerAdapter()
Creates a new adapter for an object of class '`Snippet Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MSnippetContainer`

### createLocalizableAdapter

public org.eclipse.emf.common.notify.Adapter createLocalizableAdapter()
Creates a new adapter for an object of class '`Localizable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.1
See Also:
  - `MLocalizable`

### createApplicationElementAdapter

public org.eclipse.emf.common.notify.Adapter createApplicationElementAdapter()
Creates a new adapter for an object of class '`Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MApplicationElement`

### createContributionAdapter

public org.eclipse.emf.common.notify.Adapter createContributionAdapter()
Creates a new adapter for an object of class '`Contribution`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  1.0
See Also:
  - `MContribution`

### createEObjectAdapter

public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()
Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.